Gets the status of a batch refresh

Gets the status of a batch refresh#

Description#

Returns details about a specific batch refresh, based on its ID.

GET /api/v1/connections/batch/refresh/{batchId}

Required OAuth Scopes

No OAuth scopes are required to use this endpoint.

Parameters#

Parameter

In

Type

Required

Description

batchId

path

string

true

The ID of the batch to return details about

workspaceId

query

string

false

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/batch/refresh/{batchId} \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/batch/refresh/{batchId} \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/batch/refresh/{batchId}" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/prep/api/v1/connections/batch/refresh/{batchId}', headers = headers)

print(r.json())

Returns#

200 - OK#

undefined

Example Responses#

{
  "body": {
    "batchRefreshId": "string",
    "childRefreshes": [
      {
        "connectionId": "string",
        "created": "string",
        "createdBy": "string",
        "destinationMetadata": {},
        "destinationParameters": {},
        "destinationStatus": "string",
        "destinationWorkspaceId": "string",
        "error": "string",
        "jobId": "string",
        "sourceMetadata": {},
        "sourceParameters": {},
        "sourceStatus": "string",
        "sourceWorkspaceId": "string",
        "updated": "string",
        "workspaceId": "string"
      }
    ],
    "created": "string",
    "createdBy": "string",
    "destinationStatus": "string",
    "error": "string",
    "sourceStatus": "string",
    "updated": "string"
  },
  "code": "integer"
}